j_objnew.d(1m)

NAME
j_objnew.d - report Java object allocation using DTrace.

SYNOPSIS
j_objnew.d

DESCRIPTION
This traces activity from all Java processes on the system with hotspot provider support (1.6.0) and the flag "+ExtendedDTraceProbes". eg, java -XX:+ExtendedDTraceProbes classfile

OS
Solaris

STABILITY
Evolving - uses the DTrace hotspot provider, which may change as additional features are introduced. Check Java/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # j_objnew.d

FIELDS

PID Process ID

OBJS
    Number of objects created

CLASS.METHOD
    Java class and method name

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
j_objnew.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)